package com.poc.kafka.mongo.util;

import java.util.HashMap;
import java.util.Map;

public enum ErrorEnum {
	EC_1("Record not found"), EC_2("Unexpected Exception");

	private String errDes;

	private ErrorEnum(String s) {

		errDes = s;
	}

	private static final Map<String, String> BY_LABEL = new HashMap<>();

	static {
		for (ErrorEnum e : values()) {
			BY_LABEL.put(e.name(), e.errDes);
		}
	}
	
	public static String getDesription(String name) {
		return BY_LABEL.get(name);
	}
}
