package com.poc.kafka.mongo.test.service;

import static org.junit.Assert.assertNotNull;

import java.util.List;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import com.poc.kafka.mongo.exception.EmployeeException;
import com.poc.kafka.mongo.model.Emp;
import com.poc.kafka.mongo.service.EmployeeService;

@SpringBootTest
public class EmployeeServiceIntegrationTests {

	@Autowired
	EmployeeService employeeService;
	/**
	 * Integration Testcases
	 */
	@Test
	public void findAll() {
		List<Emp> list=employeeService.findAll();
		assertNotNull(list);
	}
	@Test
	public void findByEmpId() {
		Assertions.assertThrows(EmployeeException.class, ()->employeeService.findByEmpId(2000L));
	}
	
	@Test
	public void deleteById() {
		Assertions.assertThrows(EmployeeException.class, ()->employeeService.deleteByEmpId(2000L));
	}
	
}
